commit:     1825d53fe5af654b2444e1e9d8ce7a0aeac8810c
Author:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
AuthorDate: Sat Mar  9 23:08:56 2024 +0000
Commit:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Sat Mar  9 23:08:56 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1825d53f

app-misc/gnote: add 45.1

Signed-off-by: Mart Raudsepp <leio <AT> gentoo.org>

 app-misc/gnote/Manifest          |  1 +
 app-misc/gnote/gnote-45.1.ebuild | 63 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 64 insertions(+)

diff --git a/app-misc/gnote/Manifest b/app-misc/gnote/Manifest
index c4d51d51dcd9..70cda40bfbd7 100644
--- a/app-misc/gnote/Manifest
+++ b/app-misc/gnote/Manifest
@@ -1,2 +1,3 @@
 DIST gnote-44.1.tar.xz 3330072 BLAKE2B 
ff86fa34bdfff61eceb25abef1c73377f888082e70e539172849bf9425eada1c11000c1a75f69eb74fdbc2fc6d45ad3c58c843bf769279a026dd5298a07abc68
 SHA512 
89364d161d6ecc11822b89dec0353d0e20bc08d883573f324e4980ff2420361ddeb326213eb668fba4ce8de7d5d9668a1a058666ad2b81658ef94f8a65b87363
 DIST gnote-45.0.tar.xz 3247716 BLAKE2B 
d3a31be5d9e84aaee4af5d22733e4bc14aaf844e31d488cbe9fb8d0b516815a3db5af00052a2a44c9cc07e2397a73b23cb036933c9b795caf54d1a156e0d16b9
 SHA512 
d06c128238d4f29d5bc0fb3bf3b1473000df5a4d860406ad0680b159cfacae259dd6dfbf6984e8772c3bcf485776e5ca423436f964c260594862949dcda2ea88
+DIST gnote-45.1.tar.xz 3247844 BLAKE2B 
6a88e54b7382586b272080c20d14f09fd431e8aaa247257813492a495d7d0478a4a0ba920fb4ec9f4e37e2c6a0f4568c81d74a8bd202b392648e01c2def7e6c9
 SHA512 
a70b23279e9cd402da320957d30c377c8f843844603cf57578c2515366cd61f8e3fafd48636bbafde16cbaa218820937d2a69e3c933f45329d6c9ace55a1cd7f

diff --git a/app-misc/gnote/gnote-45.1.ebuild b/app-misc/gnote/gnote-45.1.ebuild
new file mode 100644
index 000000000000..2b435610e973
--- /dev/null
+++ b/app-misc/gnote/gnote-45.1.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit gnome2 meson readme.gentoo-r1
+
+DESCRIPTION="Desktop note-taking application"
+HOMEPAGE="https://wiki.gnome.org/Apps/Gnote";
+
+LICENSE="GPL-3+ FDL-1.1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+       >=dev-libs/glib-2.74:2[dbus]
+       >=dev-cpp/glibmm-2.74:2.68
+       >=dev-cpp/gtkmm-4.0.0:4.0
+       >=app-crypt/libsecret-0.8
+       >=dev-libs/libxml2-2:2
+       dev-libs/libxslt
+       >=sys-apps/util-linux-2.16
+       test? ( dev-libs/unittest++ )
+"
+RDEPEND="${DEPEND}
+       gnome-base/gsettings-desktop-schemas
+"
+BDEPEND="
+       dev-util/itstool
+       virtual/pkgconfig
+"
+
+src_prepare() {
+       default
+
+       # Build system requires UnitTest++ >=1.5.1, but the .pc file doesn't
+       # specify a version
+       sed -i -e "/UnitTest++/ s/version: [^,]*,//" meson.build || die
+       if ! use test; then
+               sed -i -e "/unit_test_pp/ s/ = .*/ = disabler()/" meson.build 
|| die
+       fi
+
+       if has_version net-fs/wdfs; then
+               DOC_CONTENTS="You have net-fs/wdfs installed. app-misc/gnote 
will use it to
+               synchronize notes."
+       else
+               DOC_CONTENTS="Gnote can use net-fs/wdfs to synchronize notes.
+               If you want to use that functionality just emerge net-fs/wdfs.
+               Gnote will automatically detect that you did and let you use 
it."
+       fi
+}
+
+src_install() {
+       meson_src_install
+       readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+       gnome2_pkg_postinst
+       readme.gentoo_print_elog
+}

Reply via email to